---
- name: Gather facts
  hosts: k8s_cluster:etcd:calico_rr
  gather_facts: False
  tags: always
  tasks:
    - name: Gather minimal facts
      setup:
        gather_subset: '!all'

    # filter match the following variables:
    # ansible_default_ipv4
    # ansible_default_ipv6
    # ansible_all_ipv4_addresses
    # ansible_all_ipv6_addresses
    - name: Gather necessary facts (network)
      setup:
        gather_subset: '!all,!min,network'
        filter: "ansible_*_ipv[46]*"

    # filter match the following variables:
    # ansible_memtotal_mb
    # ansible_swaptotal_mb
    - name: Gather necessary facts (hardware)
      setup:
        gather_subset: '!all,!min,hardware'
        filter: "ansible_*total_mb"
